# Welcome to React Router &middot; [![build][build-badge]][build]

[build-badge]: https://img.shields.io/github/workflow/status/remix-run/react-router/test/dev?style=flat-square
[build]: https://github.com/remix-run/react-router/actions/workflows/test.yml

React Router is a lightweight, fully-featured routing library for the [React](https://reactjs.org) JavaScript library. React Router runs everywhere that React runs; on the web, on the server (using node.js), and on React Native.

**The current stable release of React Router is version 5, which you can find [on the `v5` branch](https://github.com/remix-run/react-router/tree/v5). The current branch you are viewing is for version 6 which is under active development and should be released very soon.**

If you're new to React Router, we recommend you start with [the getting started guide](/docs/getting-started/installation.md).

If you're migrating to v6 from v5 (or v4, which is the same as v5), check out [the migration guide](/docs/guides/migrating-5-to-6.md). If you're migrating from Reach Router, check out [the migration guide for Reach Router](/docs/guides/migrating-reach-to-6.md).

When v6 is stable we will publish the docs on our website.

## Contributing

There are many different ways to contribute to React Router's development. If you're interested, check out [our contributing guidelines](CONTRIBUTING.md) to learn how you can get involved.

## Packages

This repository is a monorepo containing the following packages:

- [`react-router`](/packages/react-router)
- [`react-router-dom`](/packages/react-router-dom)
- [`react-router-native`](/packages/react-router-native)

## Changes

Detailed release notes for a given version can be found [on our releases page](https://github.com/remix-run/react-router/releases).

## Funding

You may provide financial support for this project by donating [via Open Collective](https://opencollective.com/react-router). Thank you for your support!

## About

React Router is developed and maintained by [Remix Software](https://remix.run) and many [amazing contributors](https://github.com/remix-run/react-router/graphs/contributors).