---
title: Guides
order: 3
---

# Guides

These guides document some of the different flows and patterns you can use to
build a certain capability or feature of your app with React Router.

## Building the User Interface

- [Using Layouts](building-the-user-interface/using-layouts.md)
- [Using Route Config Objects](building-the-user-interface/route-configs.md)
- ["Not Found" Routes (404)](building-the-user-interface/not-found.md)
- [Custom Links](building-the-user-interface/custom-links.md)

## Common User Flows

- [Login and Authentication](user-flows/login-and-auth.md)
- [Transitions and Animation](user-flows/transitions-and-animation.md)
- [Passing Data Between Routes Using `location.state`](user-flows/passing-data.md)
- [Persisting Data Using `location.key`](user-flows/persisting-data.md)
- [Managing Scroll Position](user-flows/scroll-position.md)
- [Modals](user-flows/modals.md)
-

## Useful Techniques

- [Working with the Search/Query String](techniques/working-with-the-search-string.md)
- [Recursive Paths](techniques/recursive-paths.md)
- [Code Splitting](techniques/code-splitting.md)

## Server Rendering

- [Creating Routes from Files](ssr/creating-routes-from-files.md)
- [Using `StaticRouter` Directly](ssr/using-staticrouter-directly.md)

## Testing

- [Using Jest with React Test Renderer](testing/testing-with-react-test-renderer.md)
- [Using Jest with React Testing Library](testing/testing-with-react-testing-library.md)
- [Using Mocha](testing/testing-with-mocha.md)
- [Using Cypress](testing/testing-with-cypress.md)

This list is by no means exhaustive, so if you think something is missing,
please [let us know](#TODO)!
